#!/usr/bin/python3
# -*- coding: utf-8 -*-

from flask import request, send_from_directory
import glob, os
from pathlib import Path

from config import Config

class Uploads():
	def save_uploads(request, model, row_id):
		for fileKey in request.files:
			for file in request.files.getlist(fileKey):
				filepath = os.path.join(Config.UPLOADS_FOLDER, model)
				filename = str(row_id) + '-' + fileKey + '-' + file.filename
				fullfilename = os.path.join(filepath, filename)
				Path(filepath).mkdir(parents=True, exist_ok=True)
				file.save(fullfilename)

	def delete_uploads(model, row_id):
		filePathern = os.path.join(Config.UPLOADS_FOLDER, model, str(row_id) + '-*')
		for file in glob.glob(filePathern):
			if os.path.exists(file):
				os.remove(file)

	def get_uploads_path(model):
		return '../' + os.path.join(Config.UPLOADS_FOLDER, model)
