#!/usr/bin/python3
# -*- coding: utf-8 -*-

import os

basedir = os.path.abspath(os.path.dirname(__file__))

class Config(object):
	SECRET_KEY = 'A16RoTodXyMxiGgbvkuk' # Change this!
	SQLALCHEMY_DATABASE_URI = 'sqlite:///' + os.path.join(basedir, 'db.sqlite')
	SQLALCHEMY_TRACK_MODIFICATIONS = False

	UPLOADS_FOLDER = 'uploads'

	JWT_SECRET_KEY = 'super-secret' # Change this!
	#JWT_TOKEN_LOCATION = 'headers'
	JWT_TOKEN_LOCATION = ['headers','cookies']
	JWT_ACCESS_TOKEN_EXPIRES = 20 #900
	JWT_REFRESH_TOKEN_EXPIRES = 300
	JWT_ERROR_MESSAGE_KEY = 'errors'

	PROPAGATE_EXCEPTIONS = True

	OAUTH = {
		'ga': {
			'id': '************.apps.googleusercontent.com',
			'secret': '**********',
			'redirect_uri': 'https://youdomain.com/oauth/ga/login'
		},

		'fb': {
			'id': '**********',
			'secret': '**********',
			'redirect_uri': 'https://youdomain.com/oauth/fb/login'
		}
	}
